Subject: Re: [PATCH net-next] net: ethtool: fix NULL pointer dereference in stats_prepare_data()

From: Jakub Kicinski <[email-masked]>
Date: Tue, 24 Jan 2023 17:17:36 -0800

On Wed, 25 Jan 2023 02:53:33 +0200 Vladimir Oltean wrote:
> > > Yeah, sorry, I shouldn't have left your question unanswered ("should we make
> > > a fake struct genl_info * to pass here?") - but I don't think I'm qualified
> > > enough to have an opinion, either. Whereas the immediate fix is neutral
> > > enough to not be controversial, or so I thought.
> > > 
> > > The problem is not so much "the time to fix this properly", but rather,
> > > I'm not even sure how to trigger the ethtool dumpit() code...  
> > 
> > Ack, makes sense. I just wanted to make sure you weren't disagreeing.  
> 
> Since we're talking about it, do you know how to exercise that code?

Your MM code? Not really. But the code is fairly copy'n'paste.
I test what netdevsim supports (netdevsim support for MM highly
encouraged).